Bug 209532 - x11/gdm: Unclear hald dependency
Summary: x11/gdm: Unclear hald dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-gnome (Nobody)
URL:
Keywords: needs-qa
Depends on:
Blocks: 253345
  Show dependency treegraph
 
Reported: 2016-05-16 00:04 UTC by Kevin Zheng
Modified: 2021-02-08 19:15 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Zheng 2016-05-16 00:04:38 UTC
x11/gdm no longer has a direct dependency on hald. It is no longer clear whether starting gdm is contingent on starting hald. Note that hald is required for the existing gdm rc.d script, or gdm will loop for 60 seconds before starting looking for hal devices using `lshal`.

If hald is indeed still a dependency the REQUIRE line needs to be updated. Otherwise, hal should be removed.
Comment 1 Kevin Zheng 2017-06-20 23:47:37 UTC
Any updates on the hal dependency for the rc.d script?
Comment 2 Walter Schwarzenfeld freebsd_triage 2018-02-20 06:40:47 UTC
ping!
Comment 3 Koop Mast freebsd_committer 2018-05-14 19:05:25 UTC
Just a headup, I will take a look at this while I work on the GNOME update, which is almost done.
Comment 4 Graham Perrin 2021-02-07 07:42:24 UTC
Ping …
Comment 5 Baptiste Daroussin freebsd_committer 2021-02-08 08:42:27 UTC
This was resolved as part of the upgrade to gnome 3.28: r480951
Comment 6 Graham Perrin 2021-02-08 19:09:31 UTC
(In reply to Baptiste Daroussin from comment #5)

Thanks, is it confirmed that hald is not required?
Comment 7 Mateusz Piotrowski freebsd_committer 2021-02-08 19:15:40 UTC
(In reply to Graham Perrin from comment #6)
I've opened a PR for this: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=253345